matrix:
  unix_platform:
  - debian11
  - macos_arm64
  - ubuntu2004
  - ubuntu2204
  - ubuntu2404
  bazel:
  - 7.x
  - 8.x
  - 9.*
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@protoc-gen-validate//bazel/go:pgv_plugin_go'
    - '@protoc-gen-validate//validate:cc_validate'
    - '@protoc-gen-validate//validate:go_default_library'
    - '@protoc-gen-validate//validate:validate_proto'
  verify_targets_windows:
    name: Verify build targets
    platform: windows
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=/std:c++17'
    - '--host_cxxopt=/std:c++17'
    build_targets:
    - '@protoc-gen-validate//bazel/go:pgv_plugin_go'
    - '@protoc-gen-validate//validate:cc_validate'
    - '@protoc-gen-validate//validate:go_default_library'
    - '@protoc-gen-validate//validate:validate_proto'